InitWindow = class(Turbine.UI.Lotro.Window)
 
function InitWindow:Constructor()

  local width = 200;
  local height = 140;
  local x = Turbine.UI.Display:GetWidth()/2 - width/2;
  local y = Turbine.UI.Display:GetHeight()/2 - height/2;

  Turbine.UI.Lotro.Window.Constructor(self);
  
  self:SetSize(width,height);
  self:SetPosition(x,y);
  self:SetText("PvMP+");

  ------------------------------------------------------------
  self.label_points = Turbine.UI.Label();
  self.label_points:SetParent(self);
  self.label_points:SetSize(width,height);
  self.label_points:SetForeColor(Turbine.UI.Color(245/255,222/255,147/255));
  self.label_points:SetPosition(width/10,40);
  self.label_points:SetFont(Turbine.UI.Lotro.Font.TrajanPro15);
  self.label_points:SetText(L.Init_Points);

  self.textbox_points = Turbine.UI.Lotro.TextBox();
  self.textbox_points:SetParent(self);
  self.textbox_points:SetSize(width * 4/5,20);
	self.textbox_points:SetText("0");
  self.textbox_points:SetForeColor(Turbine.UI.Color(245/255,222/255,147/255));
  self.textbox_points:SetFont(Turbine.UI.Lotro.Font.TrajanPro15);
  self.textbox_points:SetPosition(width/10,57);
  self.textbox_points:SetMultiline(false);
  ------------------------------------------------------------
  self.okButton = Turbine.UI.Lotro.Button();
  self.okButton:SetParent(self);
  self.okButton:SetPosition(width/2 - self.okButton:GetWidth()/2,90);
  self.okButton:SetText("OK");
  
  self.okButton.Click = function()
    overviewWindow = OverviewWindow();
  end

  self:SetVisible(true);
end

 InitWindow.Closed = function()
    -- terminate plugin
 end

function InitWindow:GetData()
  return self.textbox_points:GetText();
end